﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using EdFi.OdsApi.Sdk;
using EdFi.OdsApi.Models;
using EdFi.OdsApi.Api;
using RestSharp;

namespace EdFiClientSDK
{
    class Program
    {
        static void Main(string[] args)
        {
            // Trust all SSL certs -- needed unless signed SSL certificates are configured.
            System.Net.ServicePointManager.ServerCertificateValidationCallback =
                ((sender, certificate, chain, sslPolicyErrors) => true);

            // Oauth configuration
            var oauthUrl = "https://api.ed-fi.org/api";
            var clientKey = "RvcohKz9zHI4";
            var clientSecret = "E1iEFusaNf81xzCxwHfbolkC";

            // RestSharp dependency, install via NuGet
            var client = new RestClient("https://api.ed-fi.org/api/api/v2.0/2016");

            // TokenRetriever makes the oauth calls
            var tokenRetriever = new TokenRetriever(oauthUrl, clientKey, clientSecret);

            // Plug Oauth into RestSharp's authentication scheme
            client.Authenticator = new BearerTokenAuthenticator(tokenRetriever);

            // GET schools
            var api = new SchoolsApi(client);

            var response = api.GetSchoolsAll(null, null); // offset, limit

            var httpReponseCode = response.StatusCode; // returns System.Net.HttpStatusCode.OK
            var schools = response.Data;

            Console.WriteLine("Response code is " + httpReponseCode);

            foreach (var school in schools)
            {
                Console.WriteLine(school.nameOfInstitution);
            }

            Console.WriteLine();
            Console.WriteLine("Hit ENTER key to continue...");
            Console.ReadLine();
        }
    }
}
